Summary:	Shared functions for Ayatana Indicator Display Objects
Summary(pl.UTF-8):	Funkcje współdzielone dla obiektów wyświetlania wskaźników Ayatana
Name:		ayatana-ido
Version:	0.10.4
Release:	1
License:	LGPL v2.1 or LGPL v3
Group:		Libraries
#Source0Download: https://github.com/AyatanaIndicators/ayatana-ido/releases
Source0:	https://github.com/AyatanaIndicators/ayatana-ido/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c5c889f68c4d3b9d5544219a470e7a43
Patch0:		build-type.patch
URL:		https://github.com/AyatanaIndicators/ayatana-ido
BuildRequires:	cmake >= 3.13
BuildRequires:	glib2-devel >= 1:2.58
BuildRequires:	gobject-introspection-devel >= 0.6.7
BuildRequires:	gtk+3-devel >= 3.24
BuildRequires:	gtk-doc >= 1.8
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sed >= 4.0
BuildRequires:	vala
Requires:	glib2 >= 1:2.58
Requires:	gtk+3 >= 3.24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Shared functions for Ayatana Indicator Display Objects.

%description -l pl.UTF-8
Funkcje współdzielone dla obiektów wyświetlania wskaźników Ayatana.

%package devel
Summary:	Development files for ayatana-ido library
Summary(pl.UTF-8):	Pliki programistyczne biblioteki ayatana-ido
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.58
Requires:	gtk+3-devel >= 3.24

%description devel
This package contains the header files for developing applications
that use ayatana-ido library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę ayatana-ido.

%package -n vala-ayatana-ido
Summary:	Vala API for ayatana-ido library
Summary(pl.UTF-8):	API języka Vala do biblioteki ayatana-ido
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.14.0
BuildArch:	noarch

%description -n vala-ayatana-ido
Vala API for ayatana-ido library.

%description -n vala-ayatana-ido -l pl.UTF-8
API języka Vala do biblioteki ayatana-ido.

%prep
%setup -q
%patch0 -p1

%build
%cmake -B build \
	-DENABLE_TESTS:BOOL=OFF

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS
%attr(755,root,root) %{_libdir}/libayatana-ido3-0.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libayatana-ido3-0.4.so.0
%{_libdir}/girepository-1.0/AyatanaIdo3-0.4.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libayatana-ido3-0.4.so
%{_includedir}/libayatana-ido3-0.4
%{_datadir}/gir-1.0/AyatanaIdo3-0.4.gir
%{_pkgconfigdir}/libayatana-ido3-0.4.pc

%files -n vala-ayatana-ido
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libayatana-ido3-0.4.vapi
%changelog
* Fri Aug 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ayatana-ido.git;a=log;h=master

* Thu Aug 22 2024 Jan Palus <atler@pld-linux.org> f3b6809
- up to 0.10.4

* Wed Jul 10 2024 Jan Palus <atler@pld-linux.org> 88b1e74
- up to 0.10.3

* Tue Apr 09 2024 Jakub Bogusz <qboosh@pld-linux.org> 5d48cab
- updated to 0.10.2

* Thu Aug 24 2023 Jan Palus <atler@pld-linux.org> 0fea4f6
- up to 0.10.1

* Fri Jun 09 2023 Jan Palus <atler@pld-linux.org> 9019b8f
- up to 0.10.0

* Mon Feb 27 2023 Jan Palus <atler@pld-linux.org> 0e4b0dd
- up to 0.9.3

* Tue Jun 07 2022 Jan Palus <atler@pld-linux.org> 719710d
- up to 0.9.2

* Sat Feb 19 2022 Jan Palus <atler@pld-linux.org> a97e600
- rpm version for noarch subpackage

* Sat Feb 19 2022 Jan Palus <atler@pld-linux.org> 735b58d
- up to 0.9.1

* Thu Nov 04 2021 Jan Palus <atler@pld-linux.org> fe921c9
- up to 0.9.0

* Thu May 13 2021 Jan Palus <atler@pld-linux.org> 48196a1
- new maintained version of ido-gtk3

* Thu May 13 2021 Jan Palus <atler@pld-linux.org> 733739e
- rename to ayatana-ido

* Sat Jul 23 2016 Jakub Bogusz <qboosh@pld-linux.org> 529c596
- new

